Subject: __rtti_... functions
From: [email-masked] (Colin Peters)

1 Nov 1996 15:30:12 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: Cesar Scarpini Rabak's message of Fri, 1 Nov 1996 15:46:00 -0200 <[email-masked]>
Original-Sender: [email-masked]

> Date: Fri, 1 Nov 1996 15:46:00 -0200
> >The bad news: hello world is 118 Kbytes. After stripping it is still 54 Kbytes.
> >Jeez! Is C++ really that much of a code bloater?
> 
> It is not C++ is the support for the environment (Win32) that makes your
> code large!

Well, not really. You see, I compile a C hello world in the same environment
and it is 3072 bytes.

The problem is the C++ iostreams library is statically linked and includes
stuff for run time type information and structured exceptions (there's a
Win32 API for that I think, and using that would probably make my code
smaller).

Oh well. I still intend to use iostreams, I just wish there was a dynamically
linkable version or it didn't take *quite* so much code to do it's job.

Colin.

------------------------------------------------------------------------------
Colin Peters ------------ Saga Univ. Dept. of Information Science, Saga, JAPAN
http://www.fu.is.saga-u.ac.jp/~colin/home.html - [email-masked]
コリン ピーターズ - 佐賀大学理工学部情報科学科情報基礎学講座
                    - Current favorite kanji: 晴れ 芝生 -

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".